function OnWarpEnter() 
	SetMarker("cs\\Warp_0045.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0037.wp" , 0 , 0)
	SetMarker("cs\\Warp_0031.wp" , 0 , 0)
	SetMarker("cypress", 2, 0)
	SetMarker("swallowort", 2, 0)

	if ETAT_DAY == "D3" then 
		if GIVE_MEDICINE_TO_SMITH_D3 and not KEY_IMPRESSION_READY then
			KEY_IMPRESSION_READY = true
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0045.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0037.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0031.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cypress" then 
		if ObjectCount("B_bois_cypres") < 3 then
			AddToBag("B_bois_cypres")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end

	if objectName == "3D\\swallowort" then 
		if ObjectCount("B_chelidoine") < 3 then
			AddToBag("B_chelidoine")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end
end
